# i gets each item from the list in order and prints it (i is whatever in list)
def print_all(print_list):
    for i in print_list:
        print(i)

# i gets the index value for each item in the list (i is an index number)
def print_all_by_index(print_list):
    for i in range(len(print_list)):
        print(print_list[i])

# similar to previous, using while structure
def while_print_all_by_index(print_list):
    i = 0
    while i < len(print_list):
        print(print_list[i])
        i += 1                   # note syntax: i += 1 is same as i = i + 1

# takes a list of numbers and returns average
def average(numbers):
    sum = 0
    items = 0
    for i in numbers:
        sum = sum + i
        items = items + 1
    return sum / items

hike_gear = ["tent", "stove", "sleeping bag", "food", "backpack"]

daily_temperature = [19, 19, 18, 15, 5, 2, 0, -1, -2, 0, 5, 12, 17, 19]

books_authors = [["Right Ho, Jeeves", "P. G. Wodehouse"], ["Interesting Times", "Terry Pratchett"], ["Applied Cryptography", "Bruce Schneier"]]

print('print_all:')
print_all(hike_gear)
print('')

print('print_all_by_index:')
print_all_by_index(hike_gear)
print('')

print('while_print_all_by_index:')
while_print_all_by_index(hike_gear)
print('')

print("Temparatures")
print(f"{average(daily_temperature):6.2f}")

